Ubuntu 10.04 et l’erreur d’intégration de Zotero

La mise à jour d’Ubuntu 9.10 vers la version 10.04 apporte un changement important dans la manière dont Ubuntu utilise java: la migration d’Ubuntu du JDK Sun vers OpenJDK.

Du coup, sous Ubuntu 10.04, lorsque vous installez Zotero et le plug-in d’intégration de Zotero dans OpenOffice, vous êtes confrontés à une « Erreur d’intégration de Zotero » lorsque vous souhaitez insérer une référence bibliographique dans OpenOffice Writer.

Pour résoudre ce problème, il faut remplacer OpenJDK par le JDK de Sun:

$ sudo add-apt-repository « deb http://archive.canonical.com/ lucid partner »
$ sudo apt-get purge openjdk-6-jre icedtea6-plugin
$ sudo apt-get install sun-java6-jre sun-java6-plugin

Zotero devrait alors à nouveau marcher, après redémarrage d’OpenOffice, Firefox. Pour ma part, un redémarrage d’Ubuntu a été nécessaire.

(trouvé dans Linux Pratique n° 61, p. 40)

Sur les forums de Zotero, il semble qu’il y ait d’autres erreurs d’intégration avec Ubuntu. N’hésitez pas, si vous rencontrez un problème de ce type ou une solution, à en parler dans les commentaires.


Frédéric Clavert

Docteur en histoire contemporaine, Frédéric Clavert a étudié les sciences politiques et l'histoire contemporaine à Strasbourg et à Leeds. Ses recherches touchent aujourd'hui de plus en plus aux sources de l'historien.ne à l'ère numérique. Après cinq ans comme chercheur (Histoire de l'intégration européenne et Humanités numériques) au Centre virtuel de la connaissance sur l'Europe (Luxembourg), deux ans comme ingénieur de recherche pour le LabEx "Ecrire une Histoire Nouvelle de l'Europe", il est enseignant-chercheur à l'Université de Lausanne.

More Posts - Website

Follow Me:
TwitterFacebook

Vous aimerez aussi...

24 réponses

  1. Di dit :

    Bonjour,

    ce post est mauvais : « sudo aptitude » n’existe pas sous ubuntu.

  2. Di dit :

    Pour ceuw qui galère il faut desinstaller icedtea aussi.

  3. Votre remarque finement exprimée est juste pour Ubuntu 10.10. Mais la commande aptitude (proche de apt-get) était utilisable jusqu’à la version 10.04. J’ai modifié le post, puisque l’erreur d’intégration reste valable en 10.10.

  4. TERROM dit :

    Je galère encore avec zotero. Le lien à fonctionner avec open office, mais aujourd’hui cela fonctionne plus sur ubuntu 10.10.

    Existe t il une solution ?

    Pouvez vous m’aider?

    Merci

  5. Bonjour,

    je n’ai pas eu d’autres problèmes sous zotero avec la version 10.10.
    Pouvez-vous un peu mieux décrire le problème?

    Bien à vous,
    FC

  6. TERROM dit :

    Bonjour,

    Mes connaissances en informatique ne sont pas suffisantes. J’ai pris la décision de repasser à Ubuntu 10.04. J’ai enfin réussi à mettre le lien entre le traitement de texte et zotero. Je vous remercie pour vos explications qui m’ont permis de résoudre mon probléme.

    Aujourd’hui les mise à jour d’Ubuntu propose OpenJDK. Aujourd’hui sont-ils compatible ou toujours pas ?

    Merci d’avance pour vos réponses

  7. Á ma connaissance, ces problèmes devraient être résolus dans la prochaine version stable de zotero (2.1), dont une nouvelle beta vient de paraître, réglant pour partie ces problèmes.

    Donc, ce que je vos conseille pour le moment est d’éviter la mise à jour d’OpenJDK et d’attendre la version 2.1 et, surtout, d’attendre les premiers commentaires sur cette version sous Ubuntu. J’en ferai moi-même assez vite!

  8. GIL dit :

    Je n’arrive pas à intégrer le plug-in zotero dans open office portable. Est-ce impossible?
    Merci

  9. Gil dit :

    Merci beaucoup. J’ai intégré JRE6 mais hélas si le plug-in apparâit bien dans les extensions Firefox; il refuse de migrer dans la liste des extensions à ajouter dans Open Office. Les deux systèmes restent imperméables.
    Bien cordialement

  10. Gil dit :

    Bonjour,
    Je viens de réussir la « greffe » en passant par Open office, outils, gestionnaire des extensions. Mais il reste un problème qui est sans doute la cause de tous les maux, c’est que l’insertion de JRE – portable dans Open Office est labile! Ainsi en cliquant sur Insert Citation de Zotero, la réponse st « Absence de JRE ». En réinsérant JRE manuellement, tout fonctionne. Quand on quitte Open Office et que l’on ouvre à nouveau, JRE a disparu des options JAVA et doit être réinstallée.Cette labilité est étonnante… A quoi peut-elle tenir?
    Bien cordialement

  11. Bonjour,
    je suppose que c’est lié à la nature « portable » d’OpenOffice vs l’installation locale de JRE (ou vous l’avez installé en portable?).
    FC

  12. Gil dit :

    Bonsoir,
    Oui le JRE est sur la clé mail il faut le remettre à chaque fois dans les options JAVA d’Open Office où il ne reste pas.
    Avec tous mes remerciements
    RG

  13. Eiméon dit :

    Bonsoir,
    je suis confrontée exactement au problème décrit dans votre article, mais sous Debian… la commande donnée fonctionne-t-elle aussi pour Debian ? Est-ce que cela aura des conséquences sur d’autres programmes ? Je ne voudrais pas prendre le risque que Zotero fonctionne mais plus rien d’autre… 😉
    (je précise, je ne m’y connais pas du tout en informatique, désolée pour ma naïveté !)

  14. Eiméon dit :

    (je précise que j’ai la version 2.30.2 de Debian et que je n’ai cette « erreur d’intégration » que depuis hier, lorsque Zotero s’est mis à jour et est passé à la version 4.0.8)
    Merci de votre aide !

  15. Bonjour
    Ubuntu est basée sur Debian, donc cela peut marcher. Mais je ne peux vous garantir qu’il n’y ait pas de conséquences néfastes…
    Par contre, sur les trois lignes données, ne faites pas la première, qui est propre à Ubuntu. En cas de conséquences négatives, il doit y avoir moyen de revenir au JDK de Sun sans trop de problèmes.
    Bien à vous,
    FC

  16. Eiméon dit :

    Merci pour votre réponse super-rapide! Mais cela n’a pas marché chez moi. Je pense que ce n’est pas lié à la commande, plutôt à un problème (plutôt étrange d’ailleurs) de mot de passe pour sudo. Merci quand meme !

  17. Fheimburger dit :

    Un conseil pour les utilisateurs d’Ubuntu (et peut-être Debian, à tester) – chez moi l’intégrations avec Libreoffice était cassée sous Ubuntu 12.04, et même en installant et désinstallant successivement toutes les versions de java que j’ai pu trouver, rien n’améliorait la situation (impossibilité d’installer le plugin).
    Finalement c’est la passage à Libreoffice 4.0 qui a résolu tous mes soucis. C’est la version actuelle et stable, mais elle n’est pas encore distribué par les repositories pour Ubuntu (à vérifier pour Debian). Donc, en cas de problèmes, ça peut être un piste à creuser.

  18. Eiméon dit :

    J’ai finalement réussi, grâce au forum anglophone de zotero (https://forums.zotero.org/discussion/30514?page=1#Item_1 et https://forums.zotero.org/discussion/24030/ ).

    Au cas où ça pourrait servir à quelqu’un :
    J’ai installé openjdk-6-jre (par le Gestionnaire de paquets et non par une commande dans un terminal) mais n’ai pas eu besoin de désinstaller gcj-jre, j’ai juste été dans les options Java de OpenOffice et sélectionné le JRE Sun, puis redémarré Openoffice, et c’était bon !

  19. Gil dit :

    Mon extension d’intégration zotero dans open office a brusquement disparue et je n’arrive pas à la réintégrer.
    Pouvez-vous m’aider?
    Merci

  20. Bonjour,
    il faudrait un peu plus d’infos: Open Ou LibreOffice? Windows, Mac ou Linux? Quelle version de Libre/OpenOffice et de Windows, Mac ou linux, etc.
    Bien à vous,
    FC

  21. Gil dit :

    J’ai supprimé le module d’intégration de Zotero dans Firefox; j’ai désinstallé l’ancienne version d’Open office pour recharger la dernière; l’ai réinstallé à nouveau le module d’intégration…et la greffe a pris…. J’ai l’impression que mon ancienne version d’Open Office avait planté…
    Bien cordialement
    RG

  1. 8 septembre 2010

    […] This post was Twitted by jpmasse […]

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *